Page MenuHomePhabricator

conftool: upgrade fleet to use existing python3-conftool
Closed, ResolvedPublic

Description

As a pre-requisite to deploy a new version of conftool that has the new extension for dbconfig, we should upgrade the fleet to use python3-conftool everywhere, as the latest conftool package (already deployed in part of the fleet) provides only the python3 version and dropped python2 support.

This is to avoid any issue with the double upgrade/migration from python-conftool to python3-conftool with all the additional changes that will be included in the new release.

This is the current list of hosts with the python2 version (589 as of now):
https://debmonitor.wikimedia.org/packages/python-conftool

Event Timeline

Volans created this task.Jul 1 2019, 9:05 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 1 2019, 9:05 AM
Joe claimed this task.Jul 1 2019, 9:08 AM
Joe triaged this task as Normal priority.
Joe added a project: serviceops.
Joe added a comment.EditedJul 1 2019, 9:14 AM

What we need to do is:

  • Upgrade python3-etcd to the latest version
  • Upgrade python3-conftool to the latest version
  • Remove python-conftool if present

Mentioned in SAL (#wikimedia-operations) [2019-07-01T09:16:42Z] <_joe_> update python3-etcd, python3-conftool to their latest versions T226965

Joe added a comment.Jul 1 2019, 10:32 AM

This is blocked until https://gerrit.wikimedia.org/r/c/mediawiki/tools/scap/+/491412 is merged and deployed. I'll take care of it during the week.

Joe moved this task from Backlog to Doing on the serviceops board.Jul 1 2019, 10:32 AM
Volans added a comment.Jul 4 2019, 1:28 PM

The blocker above has been fixed in scap, released and rolled out to the fleet. I'll proceed with the removal of python-conftool.

Mentioned in SAL (#wikimedia-operations) [2019-07-04T13:51:25Z] <volans> removing python-conftool (old py2 version) from all hosts - T226965

Volans added a comment.Jul 4 2019, 1:59 PM

What we need to do is:

  • Upgrade python3-etcd to the latest version
  • Upgrade python3-conftool to the latest version
  • Remove python-conftool if present

All done, except restbase-dev1006.eqiad.wmnet that has a RO filesystem and is broken since a while, see T224260

Volans closed this task as Resolved.Jul 4 2019, 2:01 PM